package test;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.ui.Messages;
import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;

import java.net.URL;


public class TestAction extends AnAction {
    @Override
    public void actionPerformed(AnActionEvent anActionEvent) {
        try {
            XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
            config.setServerURL(new URL("http://jira.atlassian.com/rpc/xmlrpc"));
            XmlRpcClient client = new XmlRpcClient();
            client.setConfig(config);
            System.out.println("config=" + config);
            System.out.println("client=" + client);

            final Object response = client.execute("jira1.login", new String[]{"test", "test"});
            Messages.showInfoMessage("response: " + response, "Test");
        } catch (Exception e) {
            Messages.showErrorDialog("error: " + e.getMessage(), "Test");
        }
    }
}